> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get a callout

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/callouts/{calloutId}/

Return the details of a callout

Reference: https://docs.partnerpage.io/api-reference/directory/callouts/get-a-callout

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `calloutId` (string, required) — ID of the callout to return
- `directoryId` (string, required) — ID of the directory

## Response

### 200

Successful operation

- `href` (string, required)
- `name` (string, required)
- `id` (string, required)
- `textColor` (string, optional, nullable)
- `backgroundColor` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Validation Error

- `any`

### 404 Not Found Error

Callout not found

- `any`

## Examples

**Response**

```json
{
  "href": "/api/directory/private/v1alpha/directories/e2b2a65f-0972-4fb4-96bb-498a63411bb6/callouts/cdc0f6d9-9261-4e5d-956f-c980440452b7/",
  "name": "Accounting",
  "id": "cdc0f6d9-9261-4e5d-956f-c980440452b7",
  "textColor": "635BFF",
  "backgroundColor": null
}
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/callouts/calloutId/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/callouts/calloutId/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```